# ameliabot

A chatbot for owncast, inspiration from [hatbot]() by [hatniX]().

Code attributions can be found in `ATTRIBUTIONS.md`

## Requirements
* [Owncast]() server
* Python 3
* Flask
* psycopg2

## Setup

* Install Flask and psycopg2
  * `pip --user install Flask psycopg2`
  * If you don't want to fiddle with psycopg2, you can install `python-psycopg2` from your distribution's package manager
* Create an Owncast webhook url pointing to your bot's location
  * http://localhost:5000/webhook/owncast if bot and owncast are on the same machine
* Copy `config-example.json` to `config.json` and fill out the information required

Ameliabot can be run by executing `start.sh` or:
```
FLASK_APP=bot.py python3 -m flask run
```

Please use a proper uWSGI proxy if the bot is not on the same machine as owncast.

[Owncast]:https://owncast.online
[hatbot]:https://github.com/hatniX/hatbot
[hatniX]:https://hatnix.net
